﻿using System.Windows;
using System.Windows.Controls;

namespace _2011_04_12_2011_04_13_Praktikum
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Microsoft.Win32.OpenFileDialog openFileDialog = new Microsoft.Win32.OpenFileDialog();

        public MainWindow()
        {
            InitializeComponent();
        }

        void buttonLoad_Click(object sender, RoutedEventArgs e)
        {
            bool? ok = openFileDialog.ShowDialog();
            if (ok.HasValue && ok.Value)
            {
                DataSeries dr = new DataSeries(openFileDialog.FileName);
                listBoxDataRow.Items.Add(dr);
                listBoxDataRow.SelectedIndex = listBoxDataRow.Items.Count - 1;
            }
        }

        void listBoxDataRow_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            fetchData();
        }

        void fetchData()
        {
            DataSeries dr = (DataSeries)listBoxDataRow.SelectedItem;

            labelMinX.Content = dr.XMin.ToString();
            labelMaxX.Content = dr.XMax.ToString();
            labelMinY.Content = dr.YMin.ToString();
            labelMaxY.Content = dr.YMax.ToString();

            canvasGraph.Children.Clear();
            canvasGraph.Children.Add(dr.BuildPolyline(canvasGraph.Width, canvasGraph.Height));
        }

        private void buttonSine_Click(object sender, RoutedEventArgs e)
        {
            SineSettings sineSettings = new SineSettings();
            sineSettings.ShowDialog();
            SineWave dr = new SineWave(3.0, sineSettings.Frequency, 0.2, 20.0, 30.0);
            listBoxDataRow.Items.Add(dr);
            listBoxDataRow.SelectedIndex = listBoxDataRow.Items.Count - 1;
        }
    }
}
